import React from 'react';

import { AuthContext } from './AuthContext';
import { read_cookie } from 'sfcookies';

function useAuth() {
  let auth = React.useContext(AuthContext);

  if(!auth.user && read_cookie('user').length !== 0)
    auth.user = read_cookie('user');

  return auth;
}

export { useAuth };